--- a/configure.ac
+++ b/configure.ac
@@ -83,6 +83,7 @@ AC_DEFINE_UNQUOTED(PIDOF_BIN, "$PIDOF_BIN ", [ program to retreive wbar pid ])
 
 AC_CONFIG_FILES([Makefile \
 share/Makefile \
+share/wbar.desktop.in \
 etc/Makefile \
 etc/wbar.cfg \
 etc/wbar.desktop.in \
--- a/etc/Makefile.am
+++ b/etc/Makefile.am
@@ -3,7 +3,7 @@ CLEANFILES = *~ $(wbardesktop:.desktop.in.in=.desktop)
 defaultdir = @DEFAULT_CONFIGDIR@
 default_DATA = $(wbarcfg:.cfg.in=.cfg)
 
-autostartdir = @DEFAULT_CONFIGDIR@
+autostartdir = $(sysconfdir)/xdg/autostart
 autostart_DATA = $(wbardesktop:.desktop.in.in=.desktop)
 
 bashcompletiondir = /etc/bash_completion.d
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -1,3 +1,4 @@
+share/wbar.desktop.in
 share/wbar.glade
 src/config/Functions.cc
 src/config/Functions.h
--- a/po/POTFILES.skip
+++ b/po/POTFILES.skip
@@ -1,2 +1,3 @@
 etc/wbar.desktop.in.in
+share/wbar.desktop.in.in
 
--- a/share/Makefile.am
+++ b/share/Makefile.am
@@ -1,8 +1,17 @@
-CLEANFILES = *~
+CLEANFILES = *~ $(wbardesktop:.desktop.in.in=.desktop)
 
 gladedir = @GLADE_PACKAGE_DIR@
 glade_DATA = @PACKAGE@.glade
 
+desktopfilesdir = $(prefix)/share/applications
+desktopfiles_DATA = $(wbardesktop:.desktop.in.in=.desktop)
+
+@INTLTOOL_DESKTOP_RULE@
+
+wbardesktop = wbar.desktop.in.in
+
 EXTRA_DIST = \
-$(glade_DATA)
+$(glade_DATA) \
+$(wbardesktop) \
+$(wbardesktop:.desktop.in.in=.desktop.in)
 
--- /dev/null
+++ b/share/wbar.desktop.in.in
@@ -0,0 +1,12 @@
+[Desktop Entry]
+_Name=Warlock Bar
+Type=Application
+Exec=@BINDIR@/@PACKAGE_NAME@
+Terminal=false
+Icon=@PIXMAPDIR@/@PACKAGE_NAME@.png
+_Comment=A light and fast launch bar.
+Categories=Utility;
+X-GNOME-Bugzilla-Bugzilla=GNOME
+X-GNOME-Bugzilla-Product=@PACKAGE_NAME@
+X-GNOME-Bugzilla-Component=general
+X-Ubuntu-Gettext-Domain=@PACKAGE_NAME@
